Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82915 - libsnmp.la has incorrect libdir
Summary: libsnmp.la has incorrect libdir
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: net-snmp
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-28 14:25 UTC by Joe Orton
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-05 18:08:14 UTC


Attachments (Terms of Use)

Description Joe Orton 2003-01-28 14:25:16 UTC
libtool gives a warning when linking against libsnmp.la, since the libdir
variable is incorrect:

[build@emcee build]$ rpm -qf /usr/lib64/libsnmp.la
net-snmp-devel-5.0.6-11
[build@emcee build]$ grep libdir /usr/lib64/libsnmp.la
libdir='/usr/src/build/191564-x86_64/install/usr/lib64'

should be libdir=/usr/lib64 here.

(this appears to be true on all platforms not just x86_64)

Comment 1 Phil Knirsch 2003-02-05 18:08:14 UTC
Fixed in latest rawhide package.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.